package com.bocloud.cmp.provider.agile.vas;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.vas.AgileVasModel;
import com.bocloud.nms.model.agile.vas.AgileVasPortModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: VasProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:27
 */
public interface VasProvider extends SuperProvider {
    default BocloudResult<List<AgileVasModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasModel> create(AgileVasModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasModel> modify(AgileVasModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<List<AgileVasPortModel>> listVasPort(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileVasPortModel> detailVasPort(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}